Bug 204139 - mozilla-rebuild-databases.pl script called in %post has incorrect path
mozilla-rebuild-databases.pl script called in %post has incorrect path
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2006-08-25 16:17 EDT by wingc
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: seamonkey-1.0.8-0.1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-06 04:20:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
[PATCH] seamonkey.spec: fix path name in mozilla-rebuild-databases.pl (434 bytes, patch)
2006-08-25 16:25 EDT, wingc
no flags Details | Diff
proposed patch (3.26 KB, patch)
2006-11-27 11:51 EST, Martin Stransky
no flags Details | Diff

  None (edit)
Description wingc 2006-08-25 16:17:12 EDT
Description of problem:

The 'mozilla-rebuild-databases.pl' script, which is called in %post for the
'seamonkey' RPM, has an incorrect path.

The script uses a path such as (on x86_64):


but the actual path containing the files in the seamonkey RPM is:


As a result, the 'mozilla-rebuild-databases.pl' script has no effect.  It is
unclear whether or not this is a bad thing.  Previous releases of the 'mozilla'
package from Red Hat always ran this script after installation.

Note also that some of the files which this script regenerates such as:


are also packaged in the RPM.  As a result, after the script is run (on previous
versions of the 'mozilla' RPM), the contents of these files are modified and/or
deleted.  Therefore, attempting to do a RPM verify will show errors and missing

Perhaps the RPM package should be changed to either not include these files
(those which are automatically regenerated by mozilla-rebuild-databases.pl), or
else they should be marked as %config or the like.  I will defer this question
to mozilla experts.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install 'seamonkey' package from RHEL4-U4
2. note that 'mozilla-rebuild-databases.pl' script run in %post has no effect,
because it is using an incorrect path name.
Actual results:

The mozilla databases in, e.g.:


are not regenerated.  (which is what I would expect based on previous 'mozilla'
RPMs from Red Hat, prior to the mozilla -> seamonkey upgrade in RHEL4-U4)

Expected results:

I assume that the mozilla-rebuild-databases.pl script should have regenerated
these files.  (Red Hat mozilla experts please answer)

Additional info:
Comment 1 wingc 2006-08-25 16:25:22 EDT
Created attachment 134960 [details]
[PATCH] seamonkey.spec: fix path name in mozilla-rebuild-databases.pl

Here is a patch against seamonkey.spec that should fix the path name in

Please confirm that this will restore the desired behavior as Red Hat sees it.
Comment 2 Rex Dieter 2006-10-25 13:51:22 EDT
This breaks seamonkey-mail (and pretty much any other seamonkey-* addon that
runs mozilla-rebuild-databases.pl in %post scriptlets).  Thanks wingc for the
detective-work, I can vouge that running:

sed -i -e "s|/usr/lib/mozilla-1.0.5|/usr/lib/mozilla-seamonkey-1.0.5|g" \


makes things work again.
Comment 3 Rex Dieter 2006-11-16 14:55:13 EST
FYI, bug still present in seamonkey-1.0.6 update/release.  Patch is provided,
should be a no-brainer.
Comment 4 Martin Stransky 2006-11-27 11:51:53 EST
Created attachment 142184 [details]
proposed patch
Comment 5 Rex Dieter 2007-01-05 09:30:45 EST
Confirmed problem still present in seamonkey-1.0.7-0.1.el4
Comment 6 Dmitry Butskoy 2007-01-09 10:13:33 EST
The same in Fedora Core now :(
Comment 7 RHEL Product and Program Management 2007-01-09 10:27:46 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Martin Stransky 2007-03-06 04:20:57 EST
fixed in seamonkey-1.0.8-0.1.el4

Note You need to log in before you can comment on or make changes to this bug.